Update one or more payment tokenspatch https://cert.api.firstdata.com/gateway/v2/payment-tokensUse this update one or more payment tokens.Body ParamsAccepted request type: PaymentCardPaymentTokenUpdateRequest.requestTypestringrequiredObject name of tokenization request.storeIdstringlength ≤ 20An optional outlet ID for clients that support multiple stores in the same app.paymentTokensarray of objectsrequiredlength between 1 and 1000List of payment tokens to be updated in the request.paymentTokens* objectvaluestringrequiredClient-supplied payment token value.reusablebooleanDefaults to trueIf the token is reusable.truefalsedeclineDuplicatesbooleanDefaults to falseDecline duplicate payment info if client token is supplied.truefalsepaymentCardobjectrequiredPayment card model.paymentCard objectADD objectHeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.AuthorizationstringThe access token previously generated with the access-tokens call. Use the format 'Bearer {access-token}'.Responses 200Success response. 400The request cannot be validated. 401The request was unauthorized. 404The requested resource doesn't exist. 409The attempted action is not valid according to gateway rules. For example, when the gateway is too busy then the transaction is not processed. 422The processor declined the transaction. 500An unexpected internal server error occurred.Updated 8 months ago